Есть ли способ установить пакет, доступный в Ubuntu Karmic, на Ubuntu Precise Pangolin?

Я хочу установить gfortran-4.4.1 на Ubuntu 12.04 (точный панголин). Но единственными версиями, доступными в репозиториях, являются 4.4.7, 4.5 и 4.6. тем не мение gfortran-4.4.1 может быть легко установлен через apt-get на Ubuntu 9.10 (Кармический).

Поэтому я попытался заменить etc/apt/sources.list с одним из Кармика. Когда я сделал sudo apt-get update все работало нормально, но когда я пытался установить gfortran Я продолжал получать сообщения об ошибках, такие как:

Зависит от: [имя пакета], но не будет установлено.

Я пытался удалить эти пакеты и переустановить их старую версию, но это не помогло.

У вас есть какие-нибудь предложения?

1 ответ

Как упомянуто в комментарии @Registered User: Ответ таков: нет способа установить пакет, доступный в Ubuntu Karmic, на Ubuntu Precise Pangolin.

Однако вы МОЖЕТЕ собрать из исходного кода Karmic.

Вы также можете запустить Karmic на виртуальной машине под виртуальной коробкой, установить и запустить ваши любимые приложения Karmic таким способом.

Другие вопросы по тегам